<?php

/*
* @package BANANA WARS
* @copyright: (c) 2017 G.P. aka Mvcshka (mvcshka@yandex.ru)
* @license: GNU General Public License version 2; see LICENSE.txt
* @files: /process/signup.php
*
*/


session_start();
header('Content-type: application/json');
Header("Content-Type: text/html;charset=UTF-8");
if($_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) { exit();}
include($_SERVER['DOCUMENT_ROOT'].'/lib/connect.php');
include($_SERVER['DOCUMENT_ROOT'].'/lib/func.php');
include($_SERVER['DOCUMENT_ROOT'].'/lib/libmail.php');
include($_SERVER['DOCUMENT_ROOT'].'/lib/CofigFarm.php');

if(isset($_POST['email']))
{
	//echo json_encode($result = array("fail" => "Сессия устарела! Обновите страницу!"));
	$email = clean($_POST['email']);
	$login = clean($_POST['login']);
	$refLogin = clean($_POST['r2']);
	$RefId = intval($_POST['r']);
	$password = mdHashPass($_POST['password']);
	$password2 = mdHashPass($_POST['password2']);
	$code = clean($_POST['capcha']);
	$err = 0;
	$errMess = array();
	
	if(strtolower($_SESSION["img_code"]) != strtolower($code))
	{
		$err++;
		$errMess[$err] = 'Не верный код с картики';
	}
	
	if(empty($login))
	{
		$err++;
		$errMess[$err] = 'Поле логин не заполнено';
	}
	
	if(empty($email))
	{
		$err++;
		$errMess[$err] = 'Поле E-mail не заполнено';
	}
	
	if(empty($_POST['password']))
	{
		$err++;
		$errMess[$err] = 'Поле пароль не заполнено';
	}
	
	if(empty($_POST['password2']))
	{
		$err++;
		$errMess[$err] = 'Поле повтор пароля не заполнено';
	}
	
	$q = $mysql->prepare("SELECT * FROM db_users WHERE Login = ?");
	$q->execute(array($login));
	
	if($q->rowCount() > 0)
	{
		$err++;
		$errMess[$err] = 'Данный логин уже зарегистрирован';
	}
	
	$q = $mysql->prepare("SELECT * FROM db_users WHERE Email = ?");
	$q->execute(array($email));
	
	if($q->rowCount() > 0)
	{
		$err++;
		$errMess[$err] = 'Данный E-mail уже зарегистрирован';
	}
	
	if(strlen($_POST['password']) < 6)
	{
		$err++;
		$errMess[$err] = 'Пароль должен быть больше 6 символов';
	}
	
	if($_POST['password'] != $_POST['password2'])
	{
		$err++;
		$errMess[$err] = 'Пароли не совпадают';
	}
	
	if($err == 0)
	{
		$w = $mysql->prepare("INSERT INTO db_users SET Login = ?, Password = ?, Email = ?, DateReg = ?, Level = ?, Reuting = ?, RefId = ?, RefName = ?");
		$w->execute(array($login, $password, $email, time(), '1', '4000', $RefId, $refLogin));
		$lid = $mysql->lastInsertId();
		$srokk = time() + (60*60*24*$Srok['1']);
		$q = $mysql->prepare("INSERT INTO db_farm SET UserId = ?, `Type` = ?, DateAdd = ?, LastDate = ?, Status = ?");
		$q->execute(array($lid, '1', time(), $srokk, 0));
		$tmp = 'Регистрация в игре: 
				<img src="/images/icons/opit.jpg">
				<span class="title fs14">+ 4000</span>';
		$g = $mysql->prepare("INSERT INTO db_log SET UserId = ?, DateAdd = ?, `Text` = ?, MoneyIn = ?, MoneyOut = ?");
		$g->execute(array($lid, time(), $tmp, '-', '-'));
		$gg = $mysql->prepare("INSERT INTO db_log SET UserId = ?, DateAdd = ?, `Text` = ?, MoneyIn = ?, MoneyOut = ?");
		$gg->execute(array($lid, time(), 'Подарок при регистрации: Танк', '-', '-'));
		
		
		$Reut = GetUser('Reuting', $RefId);
		$LevelAcc = GetUser('Level', $RefId);
		$UserMoney = GetUser('MoneyOut', $RefId);
		$UserMoneyIn = GetUser('MoneyIn', $RefId);
		$FullOpyt = $Lev[$LevelAcc];
		ReutingUser($RefId, $LevelAcc, $Reut, $FullOpyt, 10);
		
		$mysql->query("UPDATE db_users SET CountRef = CountRef + '1' WHERE Uid = '$RefId'");
		
		
		$gg = $mysql->prepare("INSERT INTO db_log SET UserId = ?, DateAdd = ?, `Text` = ?, MoneyIn = ?, MoneyOut = ?");
		$gg->execute(array($RefId, time(), 'Регистрация реферала <img src="/images/icons/opit.jpg"/><span class="title fs14">+ 10</span>', $UserMoney, $UserMoneyIn));
		$m = new Mail; // начинаем 
		$m->From( "Robot@".$_SERVER['HTTP_HOST'] ); // от кого отправляется почта 
		$m->To( $email ); // кому адресованно
		$m->Subject( "Данные о регистрации" );
		$text = 'Ваш логин: <b>'.$login.'</b><br>Ваш пароль: <b>'.$_POST['password'].'</b> <br>С Уважением, Администрация сайта '.$_SERVER['HTTP_HOST'];
		$m->Body( $text, "html" );    
		$m->Priority(3) ;    // приоритет письма
		$m->Send();    // а теперь пошла отправка
		echo json_encode($result = array('signup' => 'Вы успешно зарегистрировались! Данные аккаунта отправлены Вам на почту'));
	}
	else
	{
		foreach($errMess as $key => $value)
		{
			$tmp .= '<b>'.$value.'<b><br><br>';
		}
		echo json_encode($result = array('fail' => $tmp));
	}
}
else exit();
?>